%define debug_package %{nil}

# Prevent stripping?
#define __spec_install_post /usr/lib/rpm/brp-compress

Summary:	Telegram desktop client
Name:		telegram
Version:	1.2.8
Release:	%mkrel 1
License:	GPLv3+
Group:		Networking/Instant messaging
Url:		https://desktop.telegram.org/
# release version
#Source0:	https://github.com/telegramdesktop/tdesktop/releases/download/v%{version}/tsetup.%{version}.tar.xz
# pre-release version
#Source1:	https://github.com/telegramdesktop/tdesktop/releases/download/v%{version}/tsetup.%{version}.alpha.tar.xz
Source2:	icon_16x16.png
Source3:	icon_22x22.png
Source4:	icon_32x32.png
Source5:	icon_48x48.png
Source6:	icon_64x64.png
Source7:	icon_128x128.png
Source8:	icon_256x256.png
Source9:	icon_512x512.png
BuildRequires:	desktop-file-utils
AutoReqProv: 	no

%description
Telegram is an Open Source instant messaging platform for mobile and
desktop focused on privacy.

%prep
# download from github

%build
# nothing

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%name
mkdir -p %{buildroot}%{_datadir}/applications

cd %_sourcedir
wget -nc https://github.com/telegramdesktop/tdesktop/releases/download/v%{version}/tsetup.%{version}.alpha.tar.xz
tar xJf tsetup.%{version}.alpha.tar.xz
strip Telegram/*
mv Telegram/* %{buildroot}%{_datadir}/%name

# symlink the binary
ln -s %{_datadir}/%name/Telegram %{buildroot}%{_bindir}/%name

for s in 16 22 32 48 64 128 256 512; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${s}x${s}/apps/
done

install -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 0644 %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/22x22/apps/%{name}.png
install -m 0644 %{SOURCE4} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 0644 %{SOURCE5} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m 0644 %{SOURCE6} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -m 0644 %{SOURCE7} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -m 0644 %{SOURCE8} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
install -m 0644 %{SOURCE9} %{buildroot}%{_iconsdir}/hicolor/512x512/apps/%{name}.png

# naming is important, else we would have double entries
cat > %{buildroot}%{_datadir}/applications/telegramdesktop.desktop <<EOF
[Desktop Entry]
Version=1.0
Name=Telegram Desktop
Comment=Official desktop version of Telegram messaging app
TryExec=/usr/share/telegram/Telegram
Exec=/usr/share/telegram/Telegram -- %u
Icon=telegram
Terminal=false
StartupWMClass=TelegramDesktop
Type=Application
Categories=Network;InstantMessaging;Qt;
MimeType=x-scheme-handler/tg;
EOF

desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/telegramdesktop.desktop

cd ..

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%name
%{_datadir}/%name/*
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Wed Jan 10 2018 Zen Subz <techars21 at gmail dot com> - 1.2.8-1pclos2018
- Update from github

* Wed Dec 20 2017 Zen Subz <techars21 at gmail dot com> - 1.2.3-1pclos2017
- Initial github build for PCLinuxOS
